﻿$packageName  = 'contig'
$url          = 'https://download.sysinternals.com/files/Contig.zip'
$checksum     = '096BC2017604D2091C96ED050F776B93B9EAD1D6852944E1C3A4C5F7E59BD5FF4272CA40C3B75BCC1B4612D998355C9337E2194DB72443FCF7E8A64C1EC76E5B'
$checksumType = 'SHA512'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

Install-ChocolateyZipPackage -PackageName "$packageName" `
                             -Url "$url" `
                             -UnzipLocation "$toolsDir" `
                             -Checksum "$checksum" `
                             -ChecksumType "$checksumType"

Write-Verbose "Accepting license..."
$regRoot = 'HKCU:\Software\Sysinternals'
$regPkg = 'C'
$regPath = Join-Path $regRoot $regPkg
if (!(Test-Path $regRoot)) {New-Item -Path "$regRoot"}
if (!(Test-Path $regPath)) {New-Item -Path "$regRoot" -Name "$regPkg"}
Set-ItemProperty -Path "$regPath" -Name EulaAccepted -Value 1
if ((Get-ItemProperty -Path "$regPath").EulaAccepted -ne 1) {
  throw "Failed setting registry value."
}
